Get started with Microsoft Pinyin SimpleFast IME

Thank you for using Microsoft Pinyin SimpleFast Input Method Editor (IME).

Compared with previous versions, Microsoft Pinyin SimpleFast has significant improvements on performance and accuracy. Many new features are introduced to cater to your needs. Whether you are a computer expert, or a complete novice, Microsoft Pinyin SimpleFast is developed to be easy to use, and quick to master.

You will have different text input experiences by using Microsoft Pinyin SimpleFast, depending on Windows 8 UI (desktop UI or Windows Metro style UI) and keyboard selection (physical or touch keyboard). Therefore, you can always quickly and correctly enter text with Microsoft Pinyin SimpleFast.

  • Using physical keyboard in desktop UI
  • Using touch keyboard in desktop UI or Metro style UI
  • Using physical keyboard in Metro style UI

In this section:

  • Add Microsoft Pinyin SimpleFast IME
  • What's new

© 2012，Microsoft Corporation and/or its suppliers. All rights reserved.

Microsoft Pinyin SimpleFast,
developed by Microsoft Corporation based on the IME jointly developed by Microsoft Corporation and Harbin Institute of Technology.
© 2012, Microsoft Corporation and/or its suppliers. All rights reserved.


Add Microsoft Pinyin SimpleFast IME

If Microsoft Pinyin SimpleFast is not in current IME list, you can add it by following the steps below:

  1. Open Control Panel.

  2. Click Change input methods. The Language page opens.

  3. Click Add a language to display language list.

  4. Click Chinese (Simplified), and then click Open to display available regional variants for simplified Chinese.

  5. Click the desired regional variant, and then click Add. Simplified Chinese is added to active language list with Microsoft Pinyin SimpleFast input method.

Note

  • If you want to set simplified Chinese as your primary language and set Microsoft Pinyin SimpleFast as the default input method, select the language, and then click Move up to move the language to the top of the list.
  • You can press Windows logo key+Spacebar to switch input methods.


What's new

Rich input modes

Microsoft Pinyin SimpleFast provides three input modes, to ensure quick and correct text input under different Windows 8 UI and keyboard selections.

  • Using physical keyboard in desktop UI

  • Using touch keyboard in desktop UI or Metro style UI

  • Using physical keyboard in Metro style UI

Online synchronization

If you use a Microsoft account to sign in to a PC running Windows 8, your personal settings of Microsoft Pinyin SimpleFast will be stored in online servers. When you use the Microsoft account to sign in to another PC running Windows 8, all your personal settings will be synchronized. Therefore, the look and feel, and input experience of Microsof Pinyin SimpleFast will be consistent among PCs.

Global setting

By default, input method and input language selection is effective to all applications in Windows 8 operating system. That is, the selection of input method or input language in one application window will apply to all application windows. For example, if you switch the input method to Microsoft Pinyin SimpleFast and set the input language to English in an application window, the input method and input language for other application windows will also be changed to Microsoft Pinyin SimpleFast and English.

You can turn off this feature by selecting the Let me set a different input method for each app window option in Control Panel.

URL and email address input

When using physical keyboard in Chinese input mode, you can type URL or email addresses that contain no digits in prefix.

Reading auto correction

Incorrect pinyin strings can be corrected automatically. For instatnce, when typing pinyin string "liudogn", you can get the candidates for "liudong".

Word prediction

Microsoft Pinyin SimpleFast support prediction for both Chinese and English words.

If Chinese word prediction is turned on, after you type four or more pinyin syllables, Chinese phrases starting with these syllables will be displayed in the candidate window.For example, after you type "weiruanpinyin", "微软拼音输入法" will also be available in the candidate window.

If English word prediction is turned on, after you type a specific number of letters, English words starting with the letter string will be displayed in the candidate window.

Emoticon and symbol input

You can enter emoticons or symbols by typing pinyin. After you type pinyin syllables corresponding to the name of an emoticon or symbol, the emoticon or symbol will be displayed in the candidate window.

Input window UI customization

When using physical keyboard in desktop UI, you can customize input window UI, including number of candidates, font, and font size.

Default input language setting

When using physical keyboard, Microsoft Pinyin SimpleFast is in Chinese input mode by default. You can change the default input language to English if you want. If Windows 8 global setting for input method switch is turned on, the default input language setting is only valid when you use Microsoft SimpleFast for the first time after PC startup.

Use Microsoft SimpleFast with touch keyboard

When using touch keyboard, you can switch the input method to Microsoft SimpleFast to enter Chinese characters, English letters, numbers, symbols, and emoticons.


Enter characters

In this section:

  • Using physical keyboard in desktop UI
  • Using physical keyboard in Metro style UI
  • Using touch keyboard


Using physical keyboard in desktop UI

In this section:

  • Interface overview
  • Enter Chinese characters


Interface overview

In this section:

  • Status icons
  • Input window


Status icons

Press Windows logo key+Spacebar to switch to Microsoft Pinyin SimpleFast. The input method icon and input language icon will be displayed in the taskbar.

Function | Icon | Remarks
Select input method | Microsoft Pinyin SimpleFast | Click to show input method list
Switch to Chinese or English input | Chinese input English input | Click to switch between Chinese and English input modes

If the Use the desktop language bar when it's available option in Control Panel is selected, the language bar will be displayed. More status icons of Microsoft Pinyin SimpleFast can be shown in the language bar, as shown in the following figure. You can add or remove status icons as required.

Clicking an icon on the language bar will switch input states or open a menu. The following table shows the function of each icon.

Function | Icon | Open a menu
Select input method | Microsoft Pinyin SimpleFast | Input method list
Switch to Chinese or English input | Chinese input English input | Not available
Select internal code input | Unicode input mode GB code input mode |
Switch to full-width or half-width symbol input | Full-width symbol Half-width symbol | Not available
Swtich to Chinese or English punctuation input | Chinese punctuation English punctuation | Not available
Select character set | Simplified Chinese Traditional Chinese Extended character set |
Use soft keyboard | Soft keyboard switch | Not available
Use IME pad | IME pad switch | Not available
Search keyword | Keyword search | Not available
Select search provider | Search provider selection |
Open option menu | Option menu |
Open help file | Help file |


Input window

The pinyin you're typing is displayed in the reading window, the upper part of the input window. The candidates are displayed in the candidate window, the lower part of the input window. You can use the Up and Down arrow keys to select from the candidates, use the Spacebar to covert, or use number keys to convert directly. After the whole pinyin string is converted, the Chinese characters will be entered to the context automatically.

Search button and paging buttons are available in the input window.


Enter Chinese characters

  1. Press Windows logo key+Spacebar to switch to Microsoft Pinyin SimpleFast. The input method icon and input language icon for Microsoft Pinyin SimpleFast will be displayed in the taskbar.

    If the Use legacy Windows 7 language bar option in Control Panel is selected, the language bar will be displayed with more status icons of Microsoft Pinyin SimpleFast.

  2. Type pinyin.

    You can use the Left and Right arrow keys to move the cursor and then edit pinyin. Pressing the Left Arrow key will move the cursor syllable by syllable to the left in a circular manner; pressing the Right Arrow key will move the cursor letter by letter to the right in a circular manner.Pressing the Home or End key will move the cursor to the beginning or end of the pinyin string.

    The first candidate, which is highlighted in blue, is the prediction of the conversion result for the current pinyin string. If the prediction is correct, press the Spacebar or 1 to confirm. Other candidates are possible characters or phrases for the current pinyin string. You can click the paging button [image] or press the following keys to scroll through the candidate window.

    • Comma (,), Period(.)
    • Minus Sign (-), Plus Sign (+)
    • Brackets ([, ])
    • Page Up, Page Down

    Note

    Microsoft Pinyin SimpleFast supports simplified pinyin by default. For some commonly-used phrases, you can type their initials directly. For example, you can type wrpy for "微软拼音".

  3. Press the number key corresponding to the desired candidate to select and confirm. Or, you can use the Up and Down arrow keys to select the candidate, and then press the Spacebar to confirm.

    The input window is disappear. The confirmed characters are transferred to the text editor.


Using physical keyboard in Metro style UI

In this section:

  • Interface overview
  • Enter Chinese characters


Interface overview

Status Icons

Press Windows logo key+Spacebar to switch to Microsoft Pinyin SimpleFast. Before you typing text, an icon indicating Chinese or English input status will be displayed adjacent to the cursor. You can switch between Chinese and English input by pressing Shift or clicking the icon.

  • Chinese input
  • English input

Reading window and candidate window

The reading window shows the pinyin string you are typing. The candidate window lists possible characters and phrases for the current pinyin string.

The first candidate, which is highlighted, is the prediction of the conversion result for the current pinyin string. If the prediction is correct, press the Spacebar or 1 to confirm. You can also select other candidates.


Enter Chinese characters

  1. Press Windows logo key+Spacebar to switch to Microsoft Pinyin SimpleFast.
  2. In Chinese input state, type pinyin.

    When you move the cursor pointer to the candidate window, arrow icons might be displayed at the beginning and/or end of the candidate window, which indicates more candidates are available. You can click the arrow icons to see other candidates.

    You can also press the following keys to scroll through the candidate window.

    • Comma (,), Period(.)
    • Minus Sign (-), Plus Sign (+)
    • Brackets ([, ])
    • Page Up, Page Down

    If you are using a touch screen, you can also flick through the candidate window to view more candidates.

  3. To enter a candiate, press the number corresponding to the candidate, or tap the candiate on the touch screen.


Using touch keyboard

We are assuming you are using touch keyboard with a touch screen, with wich you can tap touch keybarod keys directly. However, if you are using a mouse, you can also click touch keyboard keys with your mouse.

In this section:

  • Open touch keyboard
  • Interface overview
  • Enter Chinese characters
  • Enter English letters
  • Enter numbers and symbols
  • Enter emoticons
  • Use keyboard shortcuts


Open touch keyboard

In Metro style UI, when you are using a touch screen, the touch keyboard will automatically open in text editing interface. In desktop UI, you can open the touch keyboard according to the following steps:

  1. Tap and hold the taskbar on touch screen, or right-click the taskbar if you are using a mouse. The taskbar menu will be displayed.

  2. Tap Toolbars, and then tap or click Touch Keyboard. The taskbar will show the touch keyboard icon ( [image]).
  3. In text editing interface, tap or click the [image] icon in the taskbar. The touch keyboard will open.


Interface overview

In this section:

  • Keyboard overview
  • Child keys
  • Reading window and candidate window


Keyboard overview

Chinese input view

Keys

Function | Key | Remarks
Select input method | Microsoft Pinyin SimpleFast | Tap to show available input method list, select keyboard layout, or close keyboard.
Switch to Chinese or English input view | Chinese input English input | Tap to switch between Chinese and English input view.
Switch to number/symbol view |  | Tap to switch between number/symbol input view and Chinese/English input view.
Switch to emoticon input view |  | Tap to switch between emoticon input view and Chinese/English input view.
Caps Lock key |  | Tap to switch between uppercase and lowercase letter input.
Ctrl key |  | Tap to switch to keyboard shorcut command.
Enter key |  | Enter key.
Backspace key |  | Backspace key.
Left/right arrow keys | Left arrow key Right arrow key | Tap to move the cursor left or right.

English input view

Tap the Chinese/English input switch key [image] to switch to English input view. You can type English letters in this state.

Number/symbol input view

Tap [image] to switch between number/symbol input view and Chinese/English input view.

Number/symbol input view switched from Chinese input view:

Number/symbol input view switched from English input view:

In number/symbol input view, tapping [image] or [image] can display other available symbols.

Emoticon input view

Tap [image] to switch between emoticon input view and Chinese/English input view.

In emoticon input view, tapping [image] or [image] can display other available emoticons.


Child keys

In Chinese/English or number/punctuation input state, pressing and holding a punctuation or number key will display corresponding child keys. Move your finger to the desired child key to enter the corresponding punctuation/number.

Child keys in Chinese input view (uppercase off)

Child keys in Chinese input view (uppercase on)

Child keys in English input view (uppercase off)

Child keys in English input view (uppercase on)

Child keys for number keys in number/symbol input view switched from Chinese input view

Child keys for number keys in number/symbol input view switched from English input view

Child keys for symbol keys in number/symbol input view switched from Chinese input view

Child keys for symbol keys in number/symbol input view switched from English input view


Reading window and candidate window

The reading window shows the pinyin string you are typing. The candidate window lists possible characters and phrases for the current pinyin string.

You can tap the desired candiate to select and enter it. You can also select the candidate by tapping the 前项 or 后项 keys, and then tap 当前候选 to confirm and enter it.

You can flick through the candidate window or tap the 下页 key to view more candidates.


Enter Chinese characters

  1. Tap the input method selection key on the lower right of the touch keyboard and switch the method to Microsoft Pinyin SimpleFast. The input method selection key will be shown as [image].
  2. Type pinyin.

  3. Tap the desired candidate to select and enter it. You can also select the candidate by tapping the 前项 or 后项 keys, and then tap 当前候选 to confirm and enter it.

    If the desired candidate is not in the current candidate window, you can flick through the candidate window or tap the 下页 key to view candidates on the next candidate page.

    Tapping [image] will change the 下页 key to 上页 key. You can tap the 上页 key to view candidates on the previous candidate page.

    If you are using a mouse, when you move the cursor pointer to the candidate window, arrow icons might be displayed at the beginning and/or end of the candidate window, which indicates more candidates are available. You can click the arrow icons to see other candidates.

  4. After the candidate is enterted, Microsoft Pinyin SimpleFast might predict and display subsequent characters or phrases. You can tap the desired character/phrase to enter it. If the character/phrase you want to enter is not in the prediction window, you can type pinyin directly. You can press the Backspace key [image] to close the prediction window.


Enter English letters

You can enter English letters in one of the following ways:

  • In Chinese input view, type English letters. The corresponding English word will be displayed in the candidate window. Tap the English word to enter it.

  • If the word you entered is exactly the same as the string in the reading window, you can press the 确定 key to enter it.
  • Tap the [image] key to switch to English input state. Type English letters directly.

Note

  • Uppercase letter input: In Chinese/English input view, tap the [image] key to switch to uppercase letter input state. After you type one uppercase letter, the keyboard will return to lowercase state.

  • Uppercase input lock: Double-tap the [image] key to lock the keyboard into uppercase letter input. Tap the [image] key again to unlock uppercase input and return to lowercase state.


Enter numbers and symbols

For some commonly used punctuations, you can enter them using the touch keyboard in Chinese/English input view. To enter numbers or some other symbols, switch to number/symbol input view.

  1. Tap the [image] key to switch to number/symbol input view.

  2. Tap the key of the desired number or symbol to enter it.

    If the desired symbol is not in the current view, you can tap [image] or [image] to display other available symbols.

Note

Pressing and holding a symbol or number key will display corresponding child keys. Move your finger to the desired child key to enter the corresponding symbol or number.


Enter emoticons

  1. Tap the [image] key to switch to emoticon input view.

  2. According to the type of desired emoticons, tap one of the emoticon subset keys, which are located in the lower middle of the touch keyboard.

  3. Tap the key of the desired emoticon.

    If the desired emoticon is not in the current view, you can tap [image] or [image] to display other available emoticons.


Use keyboard shortcuts

In Chinese/English input view, after tapping the Ctrl key, you can tap A, Z, X, C, or V to perform "Select all", "Undo", "Cut", "Copy", or "Paste" operation.

  • Ctrl+A: Select all items in a document or window.
  • Ctrl+Z: Undo an action.
  • Ctrl+X: Cut the selected item.
  • Ctrl+C: Copy the selected item.
  • Ctrl+V: Paste the selected item.


Rules and settings

All settings to Microsoft Pinyin SimpleFast must be performed with the property sheet in desktop UI.

We are assuming you are using a mouse to perform the settings. If you are using a touch screen, tapping equals mouse left-click; doulbe-tapping equals mouse double-click; pressing and holding equals mouse right-click.

In this section:

  • Open property sheet
  • Common rules and settings
  • Only for physical keyboard
  • Only for physical keyboard in desktop UI


Open property sheet

  1. In desktop UI, at the right of the taskbar, right-click the input language icon ( [image] or [image]) of Microsoft Pinyin SimpleFast. The option menu will be displayed. If you are using a touch screen, you can tap and hold the input language icon to open the option menu.

  2. Click Options to open the property sheet for Microsoft Pinyin SimpleFast.

There are four tabs on the property sheet:

General

On the General tab, you can set pinyin style, Chinese/English input switching key, and default input language.

Advanced

On the Advanced tab, you can select character set, self-learning, end user-defined phrase, Enter key function, candidate settings, and privacy settings.

Dictionary Management

On the Dictionary Management tab, you can select installed dictionaries, install new dictionaries, and update dictionaries.

UI Customization

On the UI Customization tab, you can customize input window UI, including number of candidates, font, and font size.


Common rules and settings

The following rules and settings are applicable for both desktop UI and Metrol style UI, and any keyboard selection (physical or touch keyboard).

  • Full pnyin
  • Fuzzy pinyin
  • Character set
  • Self-learning
  • User-defined phrase
  • Chinese word prediction
  • English word prediction
  • Emoticon and symbol
  • Dictionary management
  • Mis-conversion report


Full pinyin

You can set the pinyin style to full pinyin only or full pinyin supporting simplified pinyin. You can also turn on/off the reading auto correction feature for full pinyin.

Full pinyin rules

  • Full pinyin only

    In the full pinyin only style (the Full pinyin option is selected, but the Support simplified pinyin check box is not), you must type complete pinyin syllables of Chinese characters. For example, if you want to type "一只可爱的小花猫", every letter of the pinyin string "yizhikeaidexiaohuamao" is required.

  • Full pinyin (support simplified pinyin)

    In the full pinyin (support simplified pinyin) style, you can type the initials of pinyin syllalbles of Chinese characters. For example, type "zg" for "中国"; type "dj" for "大家". Simplified pinyin reduces keystrokes, but increases the number of candidates and thus lowers the accuracy of auto-conversion.

    In the full pinyin (support simplified pinyin) style, you can also type complete pinyin syllables to increase the accuracy of auto-conversion.

  • Reading auto correction

    This feature is turned on by default. Incorrect pinyin strings can be corrected automatically. For instatnce, when typing pinyin string "liudogn", you can get the candidates for "liudong".

Full pinyin settings

  1. Open the property sheet.

  2. On the General tab, in the Pinyin Style section, select or clear full pinyin related options/check boxes.
  3. Click OK.

Note

You can click Correction rules to check the reading auto correction rules.


Fuzzy pinyin

Overcoming accent is not easy when using pinyin, which is based on the pronunciation of Mandarine Chinese. Chinese characters that sound alike can often confused with one another. Using fuzzy pinyin input will provide candidates regardless of local accent.

Fuzzy pinyin rules

After setting fuzzy pairs, whenever you type a commonly confused pinyin syllable, the candidates for its similar syllable will be displayed in the candidate window as well. For example, after selecting the "sh, s" fuzzy pair, when you type pinyin syllable "si", both "四" and "十" will be available in the candidate window. Microsoft Pinyin SimpleFast supports the following 11 fuzzy pairs:

Fuzzy pair | Default | Fuzzy pair | Default
zh, z | On | f, hu | Off
ch, c | On | wang, huang | On
sh, s | On | an, ang | On
n, l | Off | en, eng | On
l, r | Off | in, ing | On
f, h | No |  |

Fuzzy pinyin settings

After turning on fuzzy pinyin, you can use the default fuzzy pairs setting, or select the fuzzy pairs you want to use.

  1. Open the property sheet.

  2. On the General tab, in the Pinyin Style section, click Fuzzy pinyin setting.

    Note

    To turn on fuzzy pinyin, select the Fuzzy pinyin check box.

  3. On the Fuzzy Pairs Settings window, select the fuzzy pairs you want to use.

  4. Click OK to save the customized fuzzy pairs setting.


Character set

By selecting an appropriate Chinese character set, you can type Chinese characters more efficiently and not be overwhelmed by too many candidates. Microsoft Pinyin SimpleFast provides three series of character set:

  • Simplified Chinese contains commonly-used characters of modern Chinese.
  • Traditional Chinese contains traditional and substandard characters and inherited characters.
  • Extended Character Set is the combination of simplified and traditional Chinese character sets, covering most GBK Chinese characters and symbols.

Select character set

  1. Open the property sheet, and then click the Advanced tab.

  2. In the Character Set section, select the character set you want to use.
  3. Click OK.


Self-learning

With the self-learning feature turned on, Microsoft Pinyin SimpleFast will add the new words you have entered to self-learned phrases list. When you type pinyin syllables of a phrase in the self-learned phrases list, the phrase will be available in the candidate window.

Note

The candidate order of a self-learned phrase in the candidate window will be dynamically adjusted based on phrase usage.

Turn on self-learning

  1. Open the property sheet, and then click the Advanced tab.

  2. In the Self-learning and User-defined Phrase section, select the Enable self-learning check box.
  3. Click OK.

Clear self-learning contents

  1. Open the property sheet, and then click the Advanced tab.
  2. In the Self-learning and User-defined phrase section, click Clear self-learning contents.
  3. Click OK on the popup window.

Maintain self-learned phrases

The user-defined phrase tool is used to manage and maintain user-defined phrase dictionary and/or self-learned phrases. For self-learned phrases, you can delete them, move them into the user-defined phrase dictionary, or export to a text file.

  1. Right-click the input language icon ( [image] or [image]) to display the option menu.

  2. Click User-defined Phrase Tool to open the user-defined phrase tool.

  3. Click the Self-learned Phrases tab.

See also

  • End user-defined phrase


User-defined phrase

By using the user-defined phrases feature, you can define phrases which are not in the main lexicon of Microsoft Pinyin SimpleFast, and assign shortcut keys for each defined phrase.

Microsoft Pinyin SimpleFast supports two kinds of user-defined phrases: standard and extended. The standard user-defined phrases are composed of two to nine Chinese characters and can be typed by pinyin. The extended user-defined phrases are composed of two to 255 Chinese characters, English letters or symbols (excluding control characters, such as space and tab) and can only be typed using a shortcut key.

 | Standard user-defined phrase | Extended user-defined phrase
Contain | 2-9 Chinese characters | 2-255 Chinese characters, English letters or symbols
Type with | Pinyin, or shortcut key | Shortcut key only (using physical keyboard)

Note

When typing pinyin of a standard user-defined phrase, the phrase will be the first candidate in the candidate window.

Turn on the user-defined phrase feature

  1. Open the property sheet, and then click the Advanced tab.

  2. In the Self-learning and User-defined Phrase section, select the Enable user-defined phrase check box.
  3. Click OK.

Clear user-defined phrases

  1. Open the property sheet, and then click the Advanced tab.
  2. In the Self-learning and User-defined phrase section, click Clear user-defined phrases.
  3. Click OK on the popup window.

Open user-defined phrase tool

The user-defined phrase tool is used to manage and maintain the user-defined phrase dictionary and/or self-learned phrases. For the user-defined phrase dictionary, you can edit phrases, assign shortcut keys, or import/export the user-defined phrase dictionary with a text file. For self-learned phrases, you can delete them, move them into the user-defined phrase dictionary, or export to a text file.

  1. Right-click the input language icon ( [image] or [image]) to display the option menu.

  2. Click User-defined Phrase Tool to open the user-defined phrase tool.

Note

There are two tabs on the interface of the user-defined phrase tool: User-defined Phrases and Self-learned Phrases. User-defined Phrases is open by default.

Edit user-defined phrases

Using the user-defined phrase tool, you can open the Phrase Editor window in either of the following ways:

  • Double-click a phrase item.
  • Click the Insert a blank item button [image] on the toolbar.

On the Phrase Editor window, you can edit a user-defined phrase, assign a shortcut key, or select pinyin (reading) for Chinese polyphonic characters.

See also

  • Self-learning
  • Use shortcut key to enter user-defined phrases


Chinese word prediction

If Chinese word prediction is turned on, after you type four or more pinyin syllables, Chinese phrases starting with these syllables will be displayed in the candidate window.For example, after you type "weiruanpinyin", "微软拼音输入法" will also be available in the candidate window.

  1. Open the property sheet, and then click the Advanced tab.

  2. In the Candidate Settings section, select the Chinese word prediction check box.
  3. Click OK.


English word prediction

If English word prediction is turned on, after you type a specific number of letters, English words satrting with the letter string will be displayed in the candidate window.

  1. Open the property sheet, and then click the Advanced tab.

  2. In the Candidate Settings section, select the English word prediction check box.
  3. In the drop-down box, select a number. The prediction will start after you type the specified number of English letters.
  4. Click OK.

See also

  • Enter English words
  • Enter abbreviation or Chinese name of proper noun


Emoticon and symbol

If the emoticon and symbol feature is turned on, you can enter emoticons or symbols by typing pinyin. After you type pinyin syllables corresponding to the name of an emoticon or symbol, the emoticon or symbol will be displayed in the candidate window.For example, if you type "xixi", "(*^__^*)" will be available in the candidate window; if you type "xigema", "Σ' will be available in the candidate window.

The emoticon and symbol feature is turned on by default.

Turn on/off emoticon and symbol

  1. Open the property sheet, and then click the Advanced tab.

  2. In the Candidate Settings section, select or cleared the Emoticon and symbol check box.
  3. Click OK.

See also

  • Enter emoticons and symbols using pinyin
  • Enter abbreviation or Chinese name of proper noun


Dictionary management

Domain lexicons

The domain lexicons of Microsoft Pinyin SimpleFast cover terms of technological and scientific fields, from basic science to cutting-edge disciplines. By choosing appropriate lexcicons and using self-learning and user-defined phrase features, you can make Microsoft Pinyin SimpleFast a handy and indispensable input tool in your area of expertise.

The first five lexicons - pop words dictionary, computer science, electronic engineering, Biochemistry, and Automation - are selected by default.

Pop words dictionary | Computer science | Electronic engineering | Biochemistry | Automation | Psychology
Mechanical engineering | Geophysics | Bio-cytology | Entomology | Pharmacy | Geograhphical information system
Chemistry | Ship engineering | Metallurgy | Fishery sciences | Pedology | Histology
Highway transportation technology | Astronomy | Embryology | Oceanography | Genetics | Geology
Physiology | Oil | Agriculture | Forestry | Zoology | Mechanics
Electrotechnics | Anatomy | Study of survey and drawing | Chemical engineering | Physics | Coal technology
Medical science | Botany | Railway | Paleontology | Biophysics | Sailing technique
Geography | Construction gardening cityplanning | Atmospheric science | Mathematics | Microbiology | Electric power

Popular words

The pop words dictionary contains most popular words. The dictionary is selected by default. Microsoft Pinyin SimpleFast provides a dictionary including those words which are most popular. This dictionary is selected by default.

Select dictionaries

  1. Open the property sheet, and then click the Dictionary Management tab.

  2. In the Installed Dictionaries list, selecte the check box next to the dictionary you want to use.
  3. Click OK.

Update or install dictionary

On the Dictionary Management tab of the property sheet, click Update or install dictionary. Microsoft Pinyin SimpleFast will search for new dictionaries and updates to installed dictionaries.


Mis-conversion report

Mis-conversion report is designed to collect data on characters that are converted incorrectly, in order to improve Microsoft Pinyin SimpleFast. You can choose whether to send this report, and also edit or view the detailed data to be reported.

Turn on/off mis-conversion report

The mis-conversion report feature is turned off by default. You can turn on this feature with the property sheet.

  1. Open the property sheet, and then click the Advanced tab.

  2. In the Privacy Settings section, select or clear the Send mis-conversion automatically check box.
  3. Click OK.

View mis-conversion report

  1. Right-click the input language icon ( [image] or [image]) to display the option menu.

  2. Click Mis-conversion Report.


Only for physical keyboard

The following rules and settings are applicable only when you are using physical keyboard:

  • Double pinyin
  • Chinese/English input switching key
  • Default input language
  • Enter key function


Double pinyin

If double pinyin styple is selected, every Chinese character is typed by two keystokes: one for its initial and the other for its final. Double pinyin style reduces keystrokes and improves input speed; however, you must memorize the keyboard scheme.

Double pinyin scheme

Double pinyin scheme maps each key to an initial and/or final, which can be customized. Below is the scheme: Microsoft Pinyin doulbe pinyin scheme.

Set new double pinyin scheme

  1. Open the property sheet.

  2. On the General tab, in the Pinyin Style section, click Double pinyin, and then click Double pinyin scheme.

  3. Click New scheme.

  4. Define initial and/or final for each key.
  5. Click Save as, name and save the new scheme.


Chinese/English input switching key

The Shift key is the default Chinese/English input switching key. You can also change the key to Ctrl.

  1. Open the property sheet.

  2. On the General tab, in the Chinese/English Input Switching Key section, select the key you want to use for Chinese/English input switch.
  3. Click OK.


Default input language

Microsoft Pinyin SimpleFast is in Chinese input mode by default. You can change the default input language to English if you want.

  1. Open the property sheet.

  2. On the General tab, in the Default Input Language section, select Chinese or English.
  3. Click OK.


Enter key function

The Enter key is used to enter the pinyin letters in the reading window. You can set its function same as the function of the Spacebar.

  1. Open the property sheet, and then click the Advanced tab.

  2. In the [Enter] Key Function section, select Composition direct input or Pinyin conversion (same as SPACE).
    • Composition direct input: Pressing the Enter key will enter pinyin letters in the reading window into the text editor.
    • Pinyin conversion (same as SPACE): Pressing the Enter key will enter the currently selected candidate into the text editor.
  3. Click OK.


Only for physical keyboard in desktop UI

The following rules and settings are applicable only when you are using physical keyboard in desktop UI:

  • UI customization


UI customization

You can customize input window interface, including number of candidates, font, and font size.

  1. Open the property sheet, and then click the UI Customization tab.

  2. In the Chinese Font drop-down box, select the font for Chinese characters in the candidate window.
  3. In the Latin Font drop-down box, select the font for Latin letters in the input window.
  4. In the Font Size drop-down box, select font size.
  5. In the Candidate Number drop-down box, select the number of maximum candidates per page of the candidate window.
  6. In the Preview section, preview the setting, and then click OK.


More features

In this section, sample screenshots are taken assuming you are using a physical keyboard in desktop UI.

In this section:

  • Common features
  • Features only for physical keybaord
  • Feature only for physical keyboard in desktop UI


Common features

The following features are applicable for both desktop UI and Metrol style UI, and any keyboard selection (physical or touch keyboard).

  • Enter radical
  • Enter English words
  • Use reading auto correction
  • Enter emoticons and symbols using pinyin
  • Enter abbreviation or Chinese name of proper noun


Enter radical

A radical is the basic component of a Chinese character. Some radicals are also Chinese characters in their own right: 山, 马, 日, 月, for example. This kind of radical can be typed directly using its pronunciation in pinyin.

Some radicals are not stand-alone Chinese characters, for example: 冫(liang dian shui), 纟(jiao si pang). For these radicals, Microsoft Pinyin SimpleFast names them after the pronunciation of the first character of their names, for example, "liang" for "冫", and "jiao" for "纟".

The following table shows the radical, its name, and its pinyin entry. The radicals without parentheses can be typed using the simplified Chinese character set, the ones enclosed in parentheses must be typed using the traditional Chinese character set. All of them are supported in the extended character set

Radical | Name | Pinyin
One stroke
丶 | Dian | dian
丨 | Shu | shu
(乛) | Zhe | zhe
Two strokes
冫 | Liang dian shui er | liang
冖 | Tu bao gai er | tu
亠 | Wen zi tou er | wen
讠 | Yan zi pang er | yan
刂 | Li dao pang er | li
亻 | Dan ren pang er | dan
卩 | Dan er pang er | dan
阝 | Zuo er dao er | zuo
(丷) | Ba zi tou er | ba
(丆) | Shi zi tou er | shi
冂 | Tong zi kuang | tong
Three strokes
辶 | Zou zhi er | zou
氵 | San dian shui er | san
忄 | Shu xin pang | shu
艹 | Cao zi tou | cao
宀 | Bao gai er | bao
(乊) | Hu zi tou | hu
彡 | San pie er | san
丬 | Jiang zi pang | jiang
扌 | Ti shou pang | ti
犭 | Fan quan pang | fan
饣 | Shi zi pang | shi
纟 | Jiao si pang | jiao
夂 | Zhe wen er Dong zi tou er | zhe dong
Four strokes
礻 | Shi zi pang | shi
攵 | Fan wen er | fan
(爫) | Zhao zi tou er | zhao
(罓) | Gang zi pang Wang zi pang | gang wang
(牜) | Niu zi pang | niu
Five or more strokes
疒 | Bing zi pang | bing
衤 | Yi zi pang | yi
钅 | Jin zi pang | jin
虍 | Hu zi tou er | hu
糸 | Jiao si pang | jiao
(罒) | Si zi tou er | si
(覀) | Xi zi tou er | xi
(糹) | Jiao si pang | jiao
(訁) | Yan zi pang | yan
(釒) | Jin zi pang | jin
(飠) | Shi zi pang | shi


Enter English words

If English word prediction is turned on, in Chinese input mode, after you type a specific number of letters, English words satrting with the letter string will be displayed in the candidate window.

See also

  • English word prediction


Use reading auto correction

Reading auto correction is turned on by default. Incorrect pinyin strings can be corrected automatically. For instatnce, when typing pinyin string "liudogn", you can get the candidates for "liudong".

See also

  • Full pinyin


Enter emoticons and symbols using pinyin

The emoticon and symbol feature is turned on by default.You can enter emoticons or symbols by typing pinyin. After you type pinyin syllables corresponding to the name of an emoticon or symbol, the emoticon or symbol will be displayed in the candidate window.

For example, if you type "xixi", "(*^__^*)" will be available in the candidate window.

If you type "xigema", "Σ' will be available in the candidate window.

See also

  • Emoticon and symbol


Enter abbreviation or Chinese name of proper noun

For some commonly used abbreviations, you can type them in either lowercase or uppercase. The corresponding abbreviations and Chinese names will be displayed in the candidate window.

Note

  • If the English word prediction feature is turned off, abbreviations will not be displayed in the candidate window.
  • If the emoticon and symbol feature is turned off, Chinese names will not be displayed in the candidate window.

See also

  • English word predication
  • Emoticon and symbol


Features only for physical keybaord

The following features are applicable only when you are using physical keyboard:

  • Use internal code to enter rarely used characters
  • Use shortcut key to enter user-defined phrases
  • Enter URL and email address in Chinese input mode


Use internal code to enter rarely used characters

Microsoft Pinyin SimpleFast not only supports the Chinese character input by its pronunciation, but also by its hexadecimal code, including Unicode and GB18030. For example, "和" has a code as "548C" in Unicode, and "BACD" in GB18030.

Internal code input is the preferred method for typing Chinese characters of extended character sets that have more than one pronunciation.

Use Unicode to enter characters

  • Type leading key "`", "U", and then the Unicode. For example, type "`U548C" for "和".
  • When you are using physical keyboard in desktop UI, you can also switch to Unicode input mode to enter charaters.
    1. Right-click the input language icon ( [image] or [image]) to display the option menu.
    2. Click Secondary Input.

    3. Click Unicode Input.

Use GB code to enter characters

  • Type leading key "`", "G", and then the GB code. For example, type "`GBACD" for "和".
  • When you are using physical keyboard in desktop UI, you can also switch to GB code input mode to enter charaters.
    1. Right-click the input language icon ( [image] or [image]) to display the option menu.
    2. Click Secondary Input.

    3. Click GB Code Input.


Use shortcut key to enter user-defined phrases

By using the user-defined phrase tool, you can assign shortcut keys for any user-defined phrase. A valid shortcut key is made up of two to eight digits and/or lowercase letters. Whilst using a shortcut key to type a phrase, a leading grave accent (`) and (Z) are required.

For example, a shortcut key "mspy " is assigned for "微软拼音简捷", the following step shows how to type this phrase using its shortcut key.

  1. Type grave accent (`), Z, and the shortcut key "MSPY".
  2. Press the Spacebar.

Note

  • Make sure user-defined phrase is turned on before using the shortcut key.
  • You must use the shortcut key at the beginning of the reading window.

See alsos

  • User-defined phrase


Enter URL and email address in Chinese input mode

In Chinese input state, when you are typing a URL starting with the following prefix, Microsoft Pinyin SimpleFast will switch to URL input state, so that you can enter the URL quickly.

  • www.
  • http:
  • https:
  • ftp:
  • mailto:

After typing the entire URL address, press Enter or the Spacebar to confirm and enter it to the text editor.

You can also directly enter URL or email addresses that do not contain digits in their prefixes. For example, you can directly enter "microsoft.com" and "abc@abc.com".


Feature only for physical keyboard in desktop UI

Features only for physical keyboard in desktop UI

The following features are applicable only when you are using physical keyboard in desktop UI:

  • Register new word
  • Use search plug-in
  • Use soft keyboard


Register new word

While registering a new word to the user-defined phrases dictionary, you can also send information about the registered word and Microsoft Pinyin SimpleFast to Microsoft.

  1. Right-click the input language icon ( [image] or [image]) to display the option menu.

  2. Click Register New Word. The Update Microsoft Pinyin IME window opens.

  3. Type a new phrase, and then click Register. If you select the Register and Send check box before clicking Register, information about the registered word and Microsoft Pinyin SimpleFast will be sent to Microsoft. Otherwise, no information will be sent to Microsoft.

Note

  • After you click Register, the new phrase will be added to the user-defined phrases dictionary. On the Update Microsoft Pinyin IME window, clicking Dictionary tool will open the user-defined phrase tool.
  • Some phrases you sent to Microsoft might be included in dictionary updates if they are common among other users.

See also

  • User-defined phrase


Use search plug-in

Microsoft Pinyin SimpleFast provides search plug-in, with which you can search for information about the content you are typing.

Before you use the search plug-in function for the first time, you must add at least one search provider. Search providers are the search engines that provide search services.

Add a search provider

  1. Right-click the input language icon ( [image] or [image]) to display the option menu.

  2. Click Select Search Provider, and then click Add Search Provider.

  3. Select the desired search provider and install it.

Search provider setting

  1. Right-click the input language icon ( [image] or [image]) to display the option menu.
  2. Click Select Search Provider, and then click Search Provider Setting.
  3. On the Microsoft IME Search Provider Settings window, select the search provider that you want to set as the default search provider.

  4. Click Set Default.

    Note

    You can also click Remove to remove non-default search providers.

Search using a search provider

To search for information about the content you are typing with the default search provider, press Up/Down arrow key to select the keyword from the candidate window, and then click the search button [image] or press Ctrl+F8.

If you have added multiple search providers, after you select a keyword, you can open the option menu, click Select Search Provider, and then select the search provider you want to search the keyword with.


Use soft keyboard

The soft keyboard is used for typing special symbols that cannot otherwise be inputted using the standard wester-style keyboard.

Note

ARM devices do not support this feature.

Soft keyboard layout

Microsoft Pinyin SimpleFast dedicates thirteen kinds of layout of soft keyboard:

PC keyboard

Greek alphabet keyboard

Russian alphabet keyboard

Phonetic symbols keyboard

Pinyin letters keyboard

Japanese hiragana keyboard

Japanese katakana keyboard

Punctuation marks keyboard

Math numbers keyboard

Math symbols keyboard

Table symbols keyboard

Chinese numbers/units keyboard
Special symbols keyboard

Select a soft keyboard

  1. Right-click the input language icon ( [image] or [image]) to display the option menu.
  2. Click Soft Keyboard, and then select a soft keyboard.


IME pad

In desktop UI, you can use IME pad with a mouse or touch screen.

IME pad is a common framework for IME pad applets, which can be used to enter Chinese characters and/or symbols in different ways. Besides typing pinyin to enter Chinese characters, you can also use IME pad to enter characters or symbols with the hand writing applet or dictionary applet.

There are two applets provided by simplified Chinese IME pad: hand writing applet and dictionary applet. More applets are available if other input methods are installed. Different applets can be used with the same IME Pad.

In this section:

  • Open IME pad
  • IME pad settings
  • Hand writing applet
  • Dictionary applet


Open IME pad

  1. Right-click the input language icon ( [image] or [image]) to display the option menu.

  2. Select IME Pad. IME pad opens, showing the interface of dictionary applet.


IME pad settings

On the title bar of IME pad, click [image] to display IME pad menu.

Menu option | Description
Applet Menu | Open IME pad applet menu.
IME Pad Properties | Open IME Pad Properties dialog box.
Help | Open IME pad help file.
Version | Show version information of IME pad.
Close | Close IME pad.

In this section:

  • Property setting
  • Applet setting


Property setting

In the IME Pad Properties dialog box, you can customize IME pad interface, including whether to display the applet bar, basic buttons, or extended buttons, and their locations. You can also select the language to be used in IME pad menus and dialogs.

  1. On the title bar of IME pad, click [image] to display IME pad menu.
  2. Click IME Pad Properties.

  3. Select the desired options/settings, and then clcik OK.


Applet setting

IME pad applets provides different methods for character input. There are two applets provided by simplified Chinese IME pad: hand writing applet and dictionary applet. More applets are available if other input methods are installed. Different applets can be used with the same IME Pad.

In the Cusotmize Applet Menu dialog box, you can set the order of current applets, add or remove applets. When removing applets, ensure you keep at least one applet for IME pad.

  1. On the title bar of IME pad, click [image] to display IME pad menu.
  2. Click Applet Menu.

  3. Click User Settings to open the Cusotmize Applet Menu dialog box.

  4. Change the order of current applets, or add/remove applets.


Hand writing applet

The hand writing applet is used to search and enter characters by drawing strokes.

Open the hand writing applet in either of the following ways:

  • On the applet bar of IME pad, click the Hand Writing (ZH-CN) icon [image].
  • Open the IME pad applet menu, click Hand Writing (ZH-CN).

There are two boxes in the hand writing applet interface: hand writing box on the left, and candidate box on the right. Draw stroke in the hand writing box. If automatic recognition is turned on or the [image] button is clicked, all recongnized results are displayed in the candidate box. You can select characters from the candidate box.

Buttons

     Click this button to recognize the strokes in the hand writing box immediately. Double-click to turn on/off automatic recognition.
     Click to cancel the last stroke in the hand writing box.
     Click to clear all strokes in the hand writing box.

Property setting

Open the HandWriting Property dialog box in either of the following ways:

  • On the applet bar of IME pad, right-click the Hand Writing icon [image], and then click Hand Writing (ZH-CN) Property.
  • When the current applet is hand writing, open the IME pad applet menu, and then click Hand Writing (ZH-CN) Property.

In this dialog box, you can turn on/off auto recognition. If auto recognition is on, after you draw a stroke, the candidate box will automatically show the recognized results.

Enter or search for characters

  1. Open the hand writing applet.

  2. Draw stroke in the hand writing box. If automatic recognition is turned on or the [image] button is clicked, all recongnized results are displayed in the candidate box.

  3. Click the desired character to enter it. You can also move the mouse pointer to the character to view its pinyin.


Dictionary applet

Using the dictionary applet, you can enter or search for Chinese characters by stroke count and radical information, just the same way as searching in a dictionary. Two character sets are supported inthe dictionary applet: radical and symbol.

Open the dictionary applet in either of the following ways:

  • On the applet bar of IME pad, click the Dictionary (CH) icon [image].
  • Open the IME pad applet menu, click Dictionary (CH).

Radical search

  1. Open the dictionary applet.

  2. On the Radical tab, in the Radical drop-down box, select the number of the radical strokes for the character you want to search, and then select the radical.

  3. In the Remaining drop-down box, select the number of remaining strokes. The corresponding candidates will be displayed.
  4. Click the desired character to enter it. You can also move the mouse pointer to the character to view its pinyin (if it has one) and coding.

Symbol search

  1. Open the dictionary applet, and then click the Symbol tab.

  2. In the drop-down box, select a symbol subset. 13 symbol subsets are supported: punctuation, math symbols, math number, hiragana, katagana, greek, cyrillic, bopomofo, pinyin letters, table symbols, unit symbols, Chinese numbers, and special symbols.

  3. Click the desired symbol to enter it. You can also move the mouse pointer to the symbol to view its coding.


Appendix

In this section:

  • Pinyin standard
  • Physical keyboard shortcuts
  • Chinese punctuations
  • About vocabulary


Pinyin standard

Special initials and finals

Microsoft Pinyin SimpleFast uses the Chinese Pinyin Scheme approved in the first National People's Congress in 1958. However, some special intials and finals in the Chinese Pinyin Scheme have different input in Microsoft Pinyin SimpleFast, so that they are more easily entered using a standard western keyboard.

The table below sumarizes the differences between Microsoft Pinyin SimpleFast and the Chinese Pinyin Scheme:

Chinese pinyin scheme | Microsoft Pinyin SimpleFast
ü | v
誒 ê | ea
噷 hm | hen
哼 hng | heng
呒 m | mu
嗯 n, ng | en

Syllable seperation

When using physical keyboard, you can use single quotation marks (') to seperate syllables and avoid confusions.


Physical keyboard shortcuts

When using physical keyboard, you can use the following keyboard shortcuts for Microsoft Pinyin SimpleFast:

Shortcut | Action
Spacebar | Convert pinyin into Chinese character, or select the candidate.
Enter | Enter letters in the reading window.
Left/Right Arrow | Move the cursor in the reading window (only applicable for physical keyboard in desktop UI).
Home/End | Move the cursor to the beginning or end of the reading window (only applicable for physical keyboard in desktop UI).
Up/Down Arrow | Select a candidate (only applicable for physical keyboard in desktop UI).
Comma (,)/Period(.) | Scroll through the candidate window.
Page Up/Page Down | Scroll through the candidate window.
Minus Sign (-)/Plus Sign (+) | Scroll through the candidate window.
Brackets ([, ]) | Scroll through the candidate window.
Grave accent ` | Type a user-defined phrase by using a shortcut key.

Other keyboard shortcuts relevant to input method.

Shortcut | Action
Windows logo key+Spacebar | Switch input methods
Shift | Switch between Chinese and English input
Ctrl+Spacebar | Close the current input method


Chinese punctuations

The table below shows Chinese punctuations and corresponding keys supported by Microsoft Pinyin SimpleFast when physical keyboard is used. Chinese punctuations are always full-width regardless of character width setting.

Chinese punctuation name | Punctuation mark | Key | Remarks
Period | 。 | . |
Comma | ， | , |
Semicolon | ； | ; |
Pause mark | 、 | \ |
Colon | ： | : |
Question mark | ？ | ? |
Exclamation mark | ！ | ! |
Doule quotation marks | “” | " | Auto pairing
Single quotation marks | ‘’ | ' | Auto pairing
Left book title mark | 《〈 | < | Auto nesting
Right book title mark | 》〉 | > | Auto nesting
Ellipsis | …… | ^ | Auto doubling
Dash | —— | _ | Auto doubling
Separation dot | · | @ |
Em dash | — | & |
RMB mark | ￥ | $ |


About vocabulary

The pinyin of the Chinese characters collected in Microsoft Pinyin SimpleFast vocabulary has been examined and certificated by the State Language Commission. The only exception is that Microsoft Pinyin SimpleFast retains the pinyin "ju2" for "桔", since in Modern Chinese Dictionary "桔" is considered as a popular form of "橘" and is more widely used.